#### Previous topic

scipy.fftpack.ss_diff

#### Next topic

scipy.fftpack.shift

# scipy.fftpack.cc_diff

`scipy.fftpack.``cc_diff`(x, a, b, period=None, _cache={})

  Return (a,b)-cosh/cosh pseudo-derivative of a periodic sequence.

  If x_j and y_j are Fourier coefficients of periodic functions x and y, respectively, then:

      y_j = cosh(j*a*2*pi/period)/cosh(j*b*2*pi/period) * x_j

  Parameters:

  x : array_like

  > The array to take the pseudo-derivative from.

  a,b : float

  > Defines the parameters of the sinh/sinh pseudo-differential operator.

  period : float, optional

  > The period of the sequence x. Default is `2*pi`.

  Returns:

  cc_diff : ndarray

  > Pseudo-derivative of periodic sequence x.

  Notes

  `cc_diff(cc_diff(x,a,b),b,a) == x`